// node native scope
import * as http from 'http';
import * as https from 'https';
import * as net from 'net';
import * as tls from 'tls';
import * as url from 'url';

export { http, https, net, tls, url };

// tsclass scope
import * as tsclass from '@tsclass/tsclass';

export { tsclass };

// pushrocks scope
import * as lik from '@push.rocks/lik';
import * as smartdelay from '@push.rocks/smartdelay';
import * as smartpromise from '@push.rocks/smartpromise';
import * as smartrequest from '@push.rocks/smartrequest';
import * as smartstring from '@push.rocks/smartstring';

export { lik, smartdelay, smartrequest, smartpromise, smartstring };

// third party scope
import * as ws from 'ws';
import wsDefault from 'ws';
import { minimatch } from 'minimatch';

export { wsDefault, ws, minimatch };
